 clear all
 close all 

 figure
 
  [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12); 
imagesc(c);
 axis xy
title('GPLP Kepstrum-zakladne kepstralne koef. (clean,white,music,street)') 

 
 [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12); 
imagesc(c);
 axis xy


 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12); 
imagesc(c);
 axis xy 

 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12);
 imagesc(c);
 axis xy

 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
 figure
 
  [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
  [c, spectra, vx, ax, all] = GPLP(d,sr,12);
imagesc(vx);
 axis xy
title('GPLP Kepstrum-diferencne kepstralne koef. (clean,white,music,street)')  

 
 [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
  [c, spectra, vx, ax, all] = GPLP(d,sr,12);
imagesc(vx);
 axis xy

 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
  [c, spectra, vx, ax, all] = GPLP(d,sr,12); 
imagesc(vx);
 axis xy
  
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12);
imagesc(vx);
 axis xy

 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
  figure
 
  [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
  [c, spectra, vx, ax, all] = GPLP(d,sr,12);
imagesc(ax);
 axis xy
title('GPLP Kepstrum-akceleracne kepstralne koef. (clean,white,music,street)') 

 
 [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12);
imagesc(ax);
 axis xy
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12); 
imagesc(ax);
 axis xy

 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12);
imagesc(ax);
 axis xy

 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
  figure
 
  [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12);
imagesc(all);
 axis xy
 xlabel('Rámce')
 ylabel('Kep. koef.')
 title('Reč s tichom na pozadí') 

 
 [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12);
imagesc(all);
xlabel('Rámce')
 ylabel('Kep. koef.')
 axis xy
 title('Reč s bielym šum na pozadí')

 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12); 
 imagesc(all);
 xlabel('Rámce')
 ylabel('Kep. koef.')
 axis xy
 title('Reč s hudbou na pozadí')
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
 [c, spectra, vx, ax, all] = GPLP(d,sr,12);
imagesc(all);
xlabel('Rámce')
 ylabel('Kep. koef.')
 axis xy
 title('Reč so zvukmi z ulice na pozadí')
 
